# Uses of Class
org.apache.solr.client.solrj.request.CollectionAdminRequest.Modify

Packages that use CollectionAdminRequest.Modify
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of CollectionAdminRequest.Modify in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return CollectionAdminRequest.Modify
Modifier and Type
Method
Description
`static CollectionAdminRequest.Modify`
CollectionAdminRequest.`modifyCollection(String collection, Map<String,Object> properties)`
Returns a SolrRequest for modifying a collection with the given properties
`CollectionAdminRequest.Modify`
CollectionAdminRequest.Modify.`setAttribute(String key, Object value)`
Sets the collection attribute to the given value
`CollectionAdminRequest.Modify`
CollectionAdminRequest.Modify.`unsetAttribute(String key)`
Removes the given key from the collection